package com.cim.idm.exception;

import lombok.Data;

public enum BaseErrorEnum {
    ACCOUNT_ERROR("10001","账户信息错误"),
    PASSWORD_ERROR("10002","密码错误"),
    LOGOUT_ERROR("10003","登出失败"),
    TOKEN_ISNULL("10004","token不存在，请确认！"),
    USERMENU_ERROR("10005","该用户还没有分配角色权限，请确认！"),
    TOKEN_ERROR("10006","未登录或已失效，请重新登录！"),
    TOKEN_EXISTS("10007","token已失效，请确认"),
    TOKEN_DECRPY_ERROR("10008","token不合法或已失效，请重新登录！"),
    TEST_ERROR("99999","系统报错 ===== 请联系管理员！");

    private String code;

    private String message;

    BaseErrorEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
